import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-02a432d6.js';
export { dx as ArgumentsType, cp as AsyncMutex, cK as AsyncReturnType, Z as BinInput, d as CRYPTO_DEFAULT_ALG, e as CRYPTO_DEFAULT_DERIVE_ALG, f as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, d5 as Channel, d4 as ChannelMessageEvent, dj as CryptoEncoder, ax as DAY_MS, aU as Day, az as DayInput, aT as DayInputLegacy, ay as DayValue, a_ as DecimalInput, aZ as DecimalValue, db as DefaultListener, cf as Disposable, ce as Disposer, cd as DisposerFunction, dc as Emitter, d9 as EmitterAllHandler, d8 as EmitterHandler, dg as Encoder, J as Json, di as JsonEncoder, da as ListenerSignature, d6 as LocalChannel, a as LogHandler, L as LogHandlerOptions, cU as LogLevel, cV as LogLevelAlias, cW as LogLevelAliasKey, b as LogLevelAliasType, cX as LogMessage, cT as Logger, c_ as LoggerConsoleHandler, cZ as LoggerContext, cY as LoggerContextInterface, c as LoggerInterface, d3 as LoggerMemoryHandler, dT as MemStorage, dS as MemStorageOptions, dm as Message, dk as MessageAction, dr as MessageDefinitions, ds as MessageHub, dl as MessageResult, dp as MessagesDefaultMethods, dq as MessagesMethods, dn as MessagesOptions, co as Mutex, dX as NestedArray, dh as NoopEncoder, O as ObjectStorage, cy as Pool, cu as PoolTask, cw as PoolTaskEvents, cs as PoolTaskFn, cv as PoolTaskIdConflictResolution, ct as PoolTaskState, b8 as Primitive, dv as PubSub, dA as RPCFn, dz as RPCOptions, dB as RPCReturn, at as RenderMessagesOptions, dy as ReturnType, bH as RoundingMode, cN as SerialQueue, bS as SortableItem, cM as TaskEvents, cL as TaskFn, ad as Uint8ArrayToHexDump, ac as Uint8ArrayToJson, a1 as Uint8ArrayToString, ck as UseDefer, ch as UseDispose, cc as XRX, $ as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, K as arrayAvg, M as arrayBatches, x as arrayEmptyInPlace, v as arrayFilterInPlace, p as arrayFlatten, q as arrayIntersection, A as arrayIsEqual, G as arrayMax, H as arrayMin, n as arrayMinus, F as arrayRandomElement, t as arrayRemoveElement, u as arraySetElement, D as arrayShuffle, E as arrayShuffleForce, B as arrayShuffleInPlace, y as arraySorted, z as arraySortedNumbers, I as arraySum, s as arraySymmetricDifference, w as arrayToggleInPlace, o as arrayUnion, m as arrayUnique, bu as avg, bs as between, c6 as cloneJsonObject, c5 as cloneObject, bD as cmp, bC as composeOrderby, N as createArray, d7 as createLocalChannelPair, cz as createPromise, dt as createPromiseProxy, l as csvParse, k as csvStringify, aY as dateStringToDays, aX as day, aC as dayDay, aS as dayDiff, aG as dayFromAny, aI as dayFromDate, aJ as dayFromDateGMT, aN as dayFromParts, aO as dayFromString, aL as dayFromTimestamp, aF as dayFromToday, aB as dayMonth, aP as dayMonthStart, aR as dayOffset, aE as dayToDate, aH as dayToDateGMT, aD as dayToParts, aM as dayToString, aK as dayToTimestamp, aA as dayYear, aQ as dayYearStart, cP as debounce, a$ as decimal, b2 as decimalCentsPart, b0 as decimalFromCents, b1 as decimalToCents, T as decodeBase16, Q as decodeBase32, V as decodeBase58, X as decodeBase62, j as decrypt, b3 as deepEqual, b5 as deepMerge, b4 as deepStripUndefinedInPlace, h as deriveKeyPbkdf2, dO as detect, g as digest, c4 as empty, S as encodeBase16, P as encodeBase32, U as encodeBase58, W as encodeBase62, b_ as encodeQuery, i as encrypt, bU as endSortWeight, c0 as ensureKey, c1 as ensureKeyAsync, aa as equalBinary, b6 as escapeHTML, bG as escapeRegExp, Y as estimateSizeForBase, dF as fetchBasic, dG as fetchJson, dK as fetchOptionsBasicAuth, dI as fetchOptionsFormURLEncoded, dJ as fetchOptionsJson, dH as fetchText, aw as fixBrokenUth8String, aV as forEachDay, c9 as forTimes, au as formatMessages, dV as formatMilliseconds, a8 as fromBase64, a9 as fromBase64String, ah as fromCamelCase, a5 as fromHex, dN as getGlobal, cQ as getGlobalContext, dd as getGlobalEmitter, cS as getGlobalLogger, c$ as getNamespaceFilterString, dM as getNavigator, bn as getSecureRandom, bo as getSecureRandomIfPossible, dU as getTimestamp, dL as getWindow, dD as httpMethod, cB as immediate, bb as isArray, bh as isBoolean, dP as isBrowser, bJ as isEven, bI as isHalf, bf as isInteger, cR as isLocalHost, bi as isNullOrUndefined, be as isNumber, b9 as isObject, bw as isPrime, bv as isPrimeRX, ba as isPrimitive, cI as isPromise, bc as isRecord, bg as isSafeInteger, bd as isString, cF as isTimeout, bj as isUint8Array, a3 as joinToUint8Array, bm as jsonStringify, bl as jsonStringifySafe, bk as jsonStringifySorted, ab as jsonToUint8Array, c3 as last, df as lazyListener, bY as linkifyPlainText, c7 as memoize, c8 as memoizeAsync, de as messages, bV as moveSortWeight, bA as objectIsEmpty, by as objectMap, bz as objectMergeDisposable, dE as parseBasicAuth, dW as parseDate, d1 as parseLogLevel, bB as parseOrderby, b$ as parseQuery, dQ as platform, cJ as promisify, eh as qid, bp as randomBoolean, br as randomFloat, bq as randomInt, r as randomUint8Array, cb as regExpEscape, ca as regExpString, av as renderMessages, bL as roundDown, bO as roundHalfAwayFromZero, bP as roundHalfDown, bQ as roundHalfEven, bN as roundHalfOdd, bR as roundHalfTowardsZero, bM as roundHalfUp, bK as roundUp, bx as seededRandom, eb as setUuidDefaultEncoding, c2 as size, cA as sleep, bW as sortedItems, bE as sortedOrderby, bT as startSortWeight, ai as stringToBoolean, ak as stringToFloat, aj as stringToInteger, a0 as stringToUInt8Array, e7 as suid, e6 as suidBytes, e9 as suidBytesDate, e8 as suidDate, bt as sum, cO as throttle, cD as timeout, cC as timeoutReached, cE as timoutError, a6 as toBase64, a7 as toBase64Url, as as toBool, ae as toCamelCase, af as toCapitalize, ag as toCapitalizeWords, ap as toFloat, a4 as toHex, bZ as toHumanReadableUrl, aq as toInt, ar as toString, a2 as toUint8Array, bF as toValidFilename, aW as today, cG as tryTimeout, eg as uname, b7 as unescapeHTML, cr as useAsyncMutex, R as useBase, cj as useDefer, cg as useDispose, ci as useDisposer, cn as useEventListener, dR as useExitHandler, cm as useInterval, d2 as useLevelFilter, du as useMessageHub, cq as useMutex, d0 as useNamespaceFilter, cx as usePool, dw as usePubSub, dC as useRPC, bX as useSorted, cl as useTimeout, ec as uuid, ea as uuid32bit, e0 as uuidB32, dZ as uuidB62, dY as uuidBytes, ed as uuidDecode, e2 as uuidDecodeB32, d$ as uuidDecodeB62, e5 as uuidDecodeV4, ee as uuidEncode, e1 as uuidEncodeB32, d_ as uuidEncodeB62, e4 as uuidEncodeV4, ef as uuidIsValid, e3 as uuidv4, al as valueToBoolean, an as valueToFloat, am as valueToInteger, ao as valueToString, cH as waitOn } from './uuid-02a432d6.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
